StreamingMetrics (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.metrics

## Class StreamingMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.StreamingMetrics

-     public class StreamingMetrics
      extends java.lang.Object

  Metrics for streaming.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.yammer.metrics.core.Counter` | `activeStreamsOutbound`
    `com.yammer.metrics.core.Counter` | `incomingBytes`
    `com.yammer.metrics.core.Counter` | `outgoingBytes`
    `static com.yammer.metrics.core.Counter` | `totalIncomingBytes`
    `static com.yammer.metrics.core.Counter` | `totalOutgoingBytes`
    `static java.lang.String` | `TYPE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingMetrics(java.net.InetAddress peer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamingMetrics` | `get(java.net.InetAddress ip)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_NAME

          public static final java.lang.String TYPE_NAME

      See Also:
        Constant Field Values

    - #### activeStreamsOutbound

          public static final com.yammer.metrics.core.Counter activeStreamsOutbound

    - #### totalIncomingBytes

          public static final com.yammer.metrics.core.Counter totalIncomingBytes

    - #### totalOutgoingBytes

          public static final com.yammer.metrics.core.Counter totalOutgoingBytes

    - #### incomingBytes

          public final com.yammer.metrics.core.Counter incomingBytes

    - #### outgoingBytes

          public final com.yammer.metrics.core.Counter outgoingBytes

  - ### Constructor Detail

    - #### StreamingMetrics

          public StreamingMetrics(java.net.InetAddress peer)

  - ### Method Detail

    - #### get

          public static StreamingMetrics get(java.net.InetAddress ip)

Copyright © 2014 The Apache Software Foundation